## org.apache.catalina.util.ssi
Class SsiInclude

    java.lang.Object
      |
      +--org.apache.catalina.util.ssi.SsiMediator
            |
            +--org.apache.catalina.util.ssi.SsiInclude

All Implemented Interfaces:
  SsiCommand

public final class SsiInclude
extends SsiMediator
implements SsiCommand

SsiCommand to include a file, implemented using `RequestDispatcher.include().`

Version:
  $Revision: 1.3 $, $Date: 2001/07/22 20:25:15 $
Author:
  Bip Thelin

Field Summary

Fields inherited from class org.apache.catalina.util.ssi.SsiMediator
`contextPath, debug, isVirtualWebappRelative, origServletContext, out, path, relpath, req, res, serverVariables, servletContext, ssiCommands`

Constructor Summary
`SsiInclude()`

Method Summary
`java.lang.String` `getStream(java.lang.String[] strParamType, java.lang.String[] strParam)` Get the stream from the included file.
`boolean` `isModified()` Returns `false`, this SsiCommands is never buffered.
`boolean` `isPrintable()` Returns `true` this SsiCommand is always prnitable and should therefore be accsessed through `getStream()`
`void` `process(java.lang.String[] strParamType, java.lang.String[] strParam)` Not used since this SsiCommand return a stream, use `getStream()` instead.

Methods inherited from class org.apache.catalina.util.ssi.SsiMediator
`flush, flushDate, getCGIPath, getCommand, getCommandPath, getError, getFilePath, getServerVariable, getVirtualPath, timefmt, timefmt`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SsiInclude

    public SsiInclude()

Method Detail

### getStream

    public final java.lang.String getStream(java.lang.String[] strParamType,
                                            java.lang.String[] strParam)

  Get the stream from the included file.

  Specified by:
    `getStream` in interface `SsiCommand`
  Parameters:
    `strParamType` - The parameter type
    `strParam` - The file to include
  Returns:
    The result from the include

### process

    public final void process(java.lang.String[] strParamType,
                              java.lang.String[] strParam)

  Not used since this SsiCommand return a stream, use `getStream()` instead.

  Specified by:
    `process` in interface `SsiCommand`
  Parameters:
    `strParamType` - a value of type 'String[]'
    `strParam` - a value of type 'String[]'

### isPrintable

    public final boolean isPrintable()

  Returns `true` this SsiCommand is always prnitable and should therefore be accsessed through `getStream()`

  Specified by:
    `isPrintable` in interface `SsiCommand`
  Returns:
    a value of type 'boolean'

### isModified

    public final boolean isModified()

  Returns `false`, this SsiCommands is never buffered.

  Specified by:
    `isModified` in interface `SsiCommand`
  Returns:
    a value of type 'boolean'

Copyright © 2000-2001 Apache Software Foundation. All Rights Reserved.